shale-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Craig McClanahan (JIRA)" <j...@apache.org>
Subject [jira] Commented: (SHALE-414) ClayViewHandler is not J2EE 1.3 compliant
Date Mon, 26 Feb 2007 23:10:16 GMT

    [ https://issues.apache.org/struts/browse/SHALE-414?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_40311
] 

Craig McClanahan commented on SHALE-414:
----------------------------------------

This is by no means the only place you will run into problems with Shale on a J2EE 1.3 server.
 As noted on the Shale website (<http://shale.apache.org>) the minimum specified platform
is Servlet 2.4 and JSP 2.0 (i.e. J2EE 1.4), although some isolated functionality may work
in 1.3.


> ClayViewHandler is not J2EE 1.3 compliant
> -----------------------------------------
>
>                 Key: SHALE-414
>                 URL: https://issues.apache.org/struts/browse/SHALE-414
>             Project: Shale
>          Issue Type: Improvement
>          Components: Clay
>    Affects Versions: 1.0.4
>         Environment: WebLogic 8.1 and other J2EE 1.3 containers
>            Reporter: Richard W. Eggert II
>
> org.apache.shale.faces.ClayViewHandler.renderView() invokes javax.servlet.http.HttpServletResponse.getContentType(),
which doesn't exist in Servlet API's earlier than Servlet 2.4 (J2EE 1.3 and earlier).  This
results in a NoSuchMethodError being thrown in containers such as WebLogic 8.1.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message